scite_4.0.0-1ubuntu0.1_i386.deb


Advertisement

Description

scite - Lightweight GTK-based Programming Editor

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe i386
Package filename scite_4.0.0-1ubuntu0.1_i386.deb
Package name scite
Package version 4.0.0
Package release 1ubuntu0.1
Package architecture i386
Package type deb
Category universe/editors
Homepage http://scintilla.org/SciTE.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.57 MB
Installed size 5.83 MB
GTK-based Programming with syntax highlighting support for
many languages. Also supports folding sections, exporting
highlighted text into colored HTML and RTF.

Alternatives

Package Version Architecture Repository
scite_4.0.0-1ubuntu0.1_amd64.deb 4.0.0 amd64 Ubuntu Updates Universe
scite_4.0.0-1_i386.deb 4.0.0 i386 Ubuntu Universe
scite_4.0.0-1_amd64.deb 4.0.0 amd64 Ubuntu Universe
scite - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.11
libcairo2 >= 1.8.0
libgcc1 >= 1:7
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.37.3
libgtk-3-0 >= 3.21.5
libpango-1.0-0 >= 1.18.0
libpangocairo-1.0-0 >= 1.14.0
libstdc++6 >= 5.2

Provides

Name Value
editor -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package scite_4.0.0-1ubuntu0.1_i386.deb
Source Package scite

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install scite deb package:
    # sudo apt-get install scite

Changelog

2018-11-23 - Andreas Rönnquist <andreas@ronnquist.net>
scite (4.0.0-1ubuntu0.1) bionic; urgency=medium
* Add patch enable_lua_to_access_dynamic_libraries.patch
enabling dynamic Lua libraries in SciTE (LP: #1804865)
2017-08-16 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (4.0.0-1) unstable; urgency=medium
* New upstream release
* Standard version bumped to 4.0.0 (no change)
* debian/patches
- drop desktop_file.patch (no longer necessary)
- refresh remaining patches
2017-01-06 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (3.7.2-1) unstable; urgency=medium
* New upstream release
* Refresh all patches
2016-10-31 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (3.7.0-1) unstable; urgency=medium
* New upstream release
* debian/patches
- refresh all patches
- fix cme warnings
* debian/copyright
- fix format URL
2016-06-02 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (3.6.6-1) unstable; urgency=medium
* New upstream release
* Refresh all patches
* debian/rules
- update clean target (do not remove orig files bundled in the
orig archive)
* debian/copyright
- disambiguate license for lua (use expat)
* debian/control
- standard version bump to 3.9.8
- refromatting (with the cme tool)
- fix VCS URI
2015-08-17 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (3.6.0-1) unstable; urgency=medium
* New upstream release
* Refresh all patches
* Standards version bumped to 3.9.6 (no change)
* Implemented reproducible build
2014-08-14 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (3.5.0-1) unstable; urgency=medium
* New upstream release
2014-05-24 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (3.4.2-1) unstable; urgency=medium
* New uptream release
* All patches have been refreshed
* debian/copyright
- updated copyright entries
- copyright file converted in DEP-5 format
2014-04-03 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (3.4.1-1) unstable; urgency=low
* New upstream release
* Standard version bumped to 3.9.5 (no change) 
* debian/patch
- drop link_libdl.patch (applied upstream)
- refresh all remainimg patches
- new patch (do_not_use_remote_logo.patch) to avoid the
"privacy-breach-logo" error detected by lintian
* Added missing source (debian/missing-sources/scintilla/include/Face.py) 
2013-08-31 - Antonio Valentino <antonio.valentino@tiscali.it>
scite (3.3.5-1) unstable; urgency=low
* new upstream release
* debian/control:
- provide the editor virtual package (closes: #398753)
- move the Homepage field to the source section (silence cme warnings)
* debian/patches:
- refresh all patches 
- new patch for linking libdl.so even on kfreensd-* and hurd
(closes: #722260). Thanks to Pino Toscano.
* debian/rules:
- avoid to remove "scintilla/src/Editor.cxx.orig" that is in the orig
archive (override_dh_clean)
- small refinements to the override_dh_auto_clean target

See Also

Package Description
sddm-theme-breeze_5.12.9-0ubuntu0.1_i386.deb Breeze SDDM theme
sddm-theme-lubuntu-chooser_0.71.1_all.deb 'Lubuntu chooser' theme for SDDM X11 display manager
setpriv_2.31.1-0.4ubuntu3.5_i386.deb tool to run a program with different Linux privilege settings
sigil-data_0.9.9+dfsg-1ubuntu0.1~esm1_all.deb multi-platform ebook editor - data files
sigil_0.9.9+dfsg-1ubuntu0.1~esm1_i386.deb multi-platform ebook editor
signapk_8.1.0+r23-2~18.04_all.deb Command line tool for signing Android ZIP/JAR/APK
signtos_8.1.0+r23-2~18.04_all.deb Android signing tool for signing Trusty images
simg2img_8.1.0+r23-5~18.04_all.deb Transitional package
simplestreams_0.1.0~bzr460-0ubuntu1.1_all.deb Library and tools for using Simple Streams data
slapd-smbk5pwd_2.4.45+dfsg-1ubuntu1.4_i386.deb Keeps Samba and Kerberos passwords in sync within slapd
snap-confine_2.42.1+18.04_i386.deb Transitional package for snapd
snapcraft-examples_2.43.1+18.04_all.deb examples and demos for snapcraft
snapcraft-parser_2.43.1+18.04_all.deb cloud parser for shared snapcraft parts
snapcraft_2.43.1+18.04_all.deb easily craft snaps
snapd-glib-tests_1.49-0ubuntu0.18.04.1_i386.deb GLib snapd library (installed tests)
Advertisement
Advertisement